/*
   cipelib - library routines common to CIPE (user-mode part) and PKCIPE

   Copyright 2000 Olaf Titz <olaf@bigred.inka.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version
   2 of the License, or (at your option) any later version.
*/
/* $Id: xread.c,v 1.3 2000/11/30 22:12:41 olaf Exp $ */

#include <unistd.h>
#include "cipelib.h"

int xread(int fd, void *d, size_t len)
{
    register int e, i=0;
    while (i<len) {
	if ((e=read(fd, d+i, len-i))<=0)
	    return e;
	i+=e;
    }
    return i;
}

